<?php
/**
 * Createing an about us pannel for customizer
 */
 
// START ABOUT SECTION 
    $wp_customize->add_section(
        'lz_fitness_premium_fewwords_section',
        array(
            'title' => __( 'About Us Section', 'lz-fitness-premium' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'lz_fitness_premium_fewwords_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'lz_fitness_premium_fewwords_section_disable',
            array(
                'settings'      => 'lz_fitness_premium_fewwords_section_disable',
                'section'       => 'lz_fitness_premium_fewwords_section',
                'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'lz-fitness-premium' ),
                    'off' => __( 'No', 'lz-fitness-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'fewwords', 'lz_fitness_premium_fewwords_section', $color='#ff7c4e'); 


lzCustomLable($wp_customize, 'lz_fitness_sec_fewwordspadding', 'lz_fitness_premium_fewwords_section', 'Set Padding For Content Box:');

$wp_customize->add_setting(
    'sec_fewwordsTpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '7em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_fewwordsTpadding',
    array(
        'settings'      => 'sec_fewwordsTpadding',
        'section'       => 'lz_fitness_premium_fewwords_section',
        'type'          => 'text',
        'label'         => __( 'Content Box Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_fewwordsBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_fewwordsBpadding',
    array(
        'settings'      => 'sec_fewwordsBpadding',
        'section'       => 'lz_fitness_premium_fewwords_section',
        'type'          => 'text',
        'label'         => __( 'Content Box Bottom Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_fewwordsLpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '3em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_fewwordsLpadding',
    array(
        'settings'      => 'sec_fewwordsLpadding',
        'section'       => 'lz_fitness_premium_fewwords_section',
        'type'          => 'text',
        'label'         => __( 'Content Box Left Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_fewwordsRpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_fewwordsRpadding',
    array(
        'settings'      => 'sec_fewwordsRpadding',
        'section'       => 'lz_fitness_premium_fewwords_section',
        'type'          => 'text',
        'label'         => __( 'Content Box Right Padding', 'lz-fitness-premium' )
    )
);

    $wp_customize->add_setting(
        'lz_fitness_fewwords_title_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_fewwords_title_heading',
            array(
                'settings'      => 'lz_fitness_fewwords_title_heading',
                'section'       => 'lz_fitness_premium_fewwords_section',
                'label'         => __( 'About Us Title, Subtitle & Text', 'lz-fitness-premium' ),
            )
        )
    );    

$wp_customize->add_setting(
        'lz_fitness_fewwords_subheading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'About Petcare', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_fewwords_subheading',
        array(
            'settings'      => 'lz_fitness_fewwords_subheading',
            'section'       => 'lz_fitness_premium_fewwords_section',
            'type'          => 'text',
            'label'         => __( 'Sub Title For Section', 'lz-fitness-premium' )
        )
    );

addColorPalatOption($wp_customize, 'lz_fitness_SectionSubTitleColor', 'lz_fitness_premium_fewwords_section', 'Section Sub Title Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_SectionSubTitleBorderColor', 'lz_fitness_premium_fewwords_section', 'Section Sub Title Border Color', '#ffffff');

 
    $wp_customize->add_setting(
        'lz_fitness_fewwords_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Few Words About', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_fewwords_title',
        array(
            'settings'      => 'lz_fitness_fewwords_title',
            'section'       => 'lz_fitness_premium_fewwords_section',
            'type'          => 'text',
            'label'         => __( 'Title for section', 'lz-fitness-premium' )
        )
    );
addColorPalatOption($wp_customize, 'lz_fitness_SectionTitleColor', 'lz_fitness_premium_fewwords_section', 'Section Title Color', '#ffffff');


$wp_customize->add_setting(
        'lz_fitness_fewwords_text',
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('Lorem ipsum dolor sit amet consectetuer adipiscing elit sed diam nonummy nibh laoreet dolor magna aliquam erat volutpa  enad minim  ipsum dolor sit amet consectetuer adipiscing elit.', 'lz-fitness-premium')
        )
    );
    $wp_customize->add_control(
        'lz_fitness_fewwords_text',
        array(
            'settings' =>'lz_fitness_fewwords_text',
            'section' => 'lz_fitness_premium_fewwords_section',
            'type'=> 'textarea',
            'label'=> __('Content for the section', 'lz-fitness-premium')
        )
    );
    addColorPalatOption($wp_customize, 'lz_fitness_SectioncontentColor', 'lz_fitness_premium_fewwords_section', 'Section Content Color', '#ffffff');

/*============ for counter =================*/

$wp_customize->add_setting('lz_fitness_counter_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_counter_npp_heading',
        array(
            'settings'      => 'lz_fitness_counter_npp_heading',
            'section'       => 'lz_fitness_premium_fewwords_section',
            'label'         => __( 'Number Of Counter', 'Hexagon' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_counter_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 3));
$wp_customize->add_control(
    'lz_fitness_counter_npp_count',
    array(
        'settings'      => 'lz_fitness_counter_npp_count',
        'section'       => 'lz_fitness_premium_fewwords_section',
        'type'          => 'select',
        'label'         => __( 'Number of counter to show', 'Hexagon' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_counter_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_counter_header'.$i,
            array(
                'settings'      => 'lz_fitness_counter_header'.$i,
                'section'       => 'lz_fitness_premium_fewwords_section',
                'label'         => __( 'Counter ', 'Hexagon' ).$i
            )
        )
    );

lzAddElement($wp_customize, 'lz_fitness_counter_page_number_'.$i, 'lz_fitness_premium_fewwords_section', $type = 'text', $label="Counter Number", $callback ='lz_fitness_sanitize_text', $default='480');
lzAddElement($wp_customize, 'lz_fitness_counter_page_title_'.$i, 'lz_fitness_premium_fewwords_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='Clients loved poopet services');
  
}

addColorPalatOption($wp_customize, 'lz_fitness_SectioncounternumColor', 'lz_fitness_premium_fewwords_section', 'Counter Number Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_SectioncounterttlColor', 'lz_fitness_premium_fewwords_section', 'Counter Title Color', '#e0d8d5');

addColorPalatOption($wp_customize, 'lz_fitness_SectioncounterbxbgssColor', 'lz_fitness_premium_fewwords_section', 'Counter Box Background Color', '#2b2b2b');
addColorPalatOption($wp_customize, 'lz_fitness_SectioncounterbxhvrbrssColor', 'lz_fitness_premium_fewwords_section', 'Counter Box Hover Border Color', '#ffffff');


lzCustomLable($wp_customize, 'lz_fitness_rightimageaboutbx', 'lz_fitness_premium_fewwords_section', 'Set Right Image For Section:');

$wp_customize->add_setting(
        'lz_fitness_fewwords_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_fewwords_image_heading',
            array(
                'settings'      => 'lz_fitness_fewwords_image_heading',
                'section'       => 'lz_fitness_premium_fewwords_section',
                'label'         => __( 'Right Image', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_fewwords_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_fewwords_image',
            array(
                'section' => 'lz_fitness_premium_fewwords_section',
                'settings' => 'lz_fitness_fewwords_image',
                'description' => __('Recommended Image Size: 649X687px', 'lz-fitness-premium')
            )
        )
    );
addColorPalatOption($wp_customize, 'lz_fitness_SecImageoverlayColor', 'lz_fitness_premium_fewwords_section', 'Image Overlay Hover Background Color', '#000000');
